package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.dto.StudentPreRegistrationDto;
import com.ym.mec.biz.dal.entity.StudentPreRegistration;
import com.ym.mec.common.dal.BaseDAO;

public interface StudentPreRegistrationDao extends BaseDAO<Long, StudentPreRegistration> {

	StudentPreRegistration queryByMusicGroupIdAndUserId(@Param("userId") Integer userId, @Param("musicGroupId") String musicGroupId);

	StudentPreRegistration queryByMusicGroupIdAndPhone(@Param("phone") String phone, @Param("musicGroupId") String musicGroupId);
	
	List<StudentPreRegistration> queryByMusicGroupId(String musicGroupId);
	
	List<StudentPreRegistrationDto> queryListForPage(Map<String,Object> params);
}